# Class Certificate.CertificateRep

java.lang.Object
java.security.cert.Certificate.CertificateRep

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `Certificate`

protected static class Certificate.CertificateRep extends Object implements Serializable
Alternate `Certificate` class for serialization.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CertificateRep(String type, byte[] data)`
Construct the alternate `Certificate` class with the `Certificate` type and `Certificate` encoding bytes.

## Method Summary

Modifier and Type
Method
Description
`protected Object`
`readResolve()`
Returns a `Certificate` with the type and data of this `CertificateRep`.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### CertificateRep

protected CertificateRep(String type, byte[] data)
Construct the alternate `Certificate` class with the `Certificate` type and `Certificate` encoding bytes.

Parameters:
  `type` - the standard name of the `Certificate` type.
  `data` - the `Certificate` data.

## Method Details

### readResolve

protected Object readResolve() throws ObjectStreamException
Returns a `Certificate` with the type and data of this `CertificateRep`.

Returns:
  the resolved `Certificate` object
Throws:
  `ObjectStreamException` - if the `Certificate` could not be resolved